Subject: Re: [PATCH 4/4] Show the branch type after the branch name for remotes

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Nov 2006 12:08:33 -0800

Andy Parkins <[email-masked]> writes:

> For me personally, I find my git-branch output more useful because in it's 
> unswitched form it shows me all branches.  However, I can easily put this 
> behaviour under a switch or, and this would get my vote, put the original 
> behaviour (i.e. show local branches only) under a switch.
>
> Which would you like?  If any.

I am a wrong person to ask, since I do not usually work in
repositories with refs/remotes/ myself and the choice would not
affect me either way.

For people who work with multiple remotes (e.g. following both
Linus and Jeff) and work on many separate topic branches of
their own, I would suspect that showing only local branches by
default, with an option to show remote branches from only named
remotes would make things less cluttered, and we can always have
"-a" to mean everything under the sun.

This kind of limiting can be done more flexibly with globbing
than just fixed set of flags.

We could have:

	git branch --list 'heads/'
        git branch --list 'remotes/jgarzik/'
        git branch --list 'heads/??/*'

and that command, crazily enough, would let you do:

        git branch --list 'tags/v2.6.19-rc*'

Hmm?